社名変更のお知らせ

JavaScriptライブラリ製品が対応しているフレームワークの一覧です。

※ CSR(クライアントサイドレンダリング)のみサポートしています。SSR(サーバーサイドレンダリング)には対応していません。

Angular

製品名対応
Angularのサポートが終了したバージョンは特記事項に記載
特記事項
V14V15V16V17
ActiveReportsJS
※1

※2

※2

※3
※1 v3.1.1以降で対応
※2 v4.0.2以降で対応
※3 v4.2.1以降で対応

V7はv1.1.0~v2.1.0で対応
V8はv1.1.0~v2.2.2で対応
V9~V10はv2.0.0~v2.2.2で対応
V11はv2.0.1~v3.1.1で対応
V12はv2.1.3~v3.1.1で対応
V13はv2.2.1~v3.1.1で対応
InputManJS
※1

※2

※2
※1 v3.3以降で対応
※2 v4.0以降で対応

V2、V4、V5はv1.0~v3.1で対応
V6、V7はv2.0~v3.1で対応
V8はv2.2~v3.1で対応
V9はv2.3~v3.1で対応
V10はv3.0~v3.1で対応
V11はv3.0~v3.2で対応
V12はv3.1~v3.3で対応
V13はv3.2~v3.3で対応
SpreadJS 9J
SpreadJS(V10J~)
※1

※2

※3

※4
※1 v15.1.4~v16.2.6で対応
※2 v16.0.4以降で対応
※3 v16.1.4以降で対応
※4 v17.0.4以降で対応

V2、V4はv10~v14.2.6で対応
V5、V6、V7は v12.0.7~v14.2.6で対応
V8はv13.0.4~v14.2.6で対応
V9、V10はv14.0.6~v14.2.6で対応
V11はv14.0.6~v15.0.5で対応
V12はv14.2.3~v15.2.4で対応
V13はv14.2.3~v16.0.4で対応

Spread.Viewsは非対応
Wijmo 3
Wijmo 5
Wijmo Enterprise

※1

※2

※3

※4
※1 v5.20221.857以降で対応
※2 v5.20222.877以降で対応
※3 v5.20231.904以降で対応
※4 v5.20232.939以降で対応

V2はv5.20162.231以降で対応
V4はv5.20171.293以降で対応
V5はv5.20172.359以降で対応
V6はv5.20181.462以降で対応
V7はv5.20183.550以降で対応
V8はv5.20191.615以降で対応
V9はv5.20201.663以降で対応
V10はv5.20202.699以降で対応
V11はv5.20203.748以降で対応
V12はv5.20211.792以降で対応
V13はv5.20213.824以降で対応

v5.20221.842以降は、V2~V10での利用は非推奨
v5.20221.857以降は、V11での利用は非推奨
v5.20222.877以降は、V12での利用は非推奨
v5.20231.888以降は、V13での利用は非推奨
v5.20231.904以降は、V14以前のバージョンはを非対応
詳細は更新履歴をご確認ください。
PDFビューワ
(DioDocs for PDF V4J以降に収録)

※1

※2

※3
PDFビューワのバージョンについては「バージョン対応表」をご覧ください。

※1 v3.2.2以降で対応
※2 v4.0.1以降で対応
※3 v4.1.3以降で対応

V12はv3.0.13~v3.2.2で対応
V13はv3.0.13~v4.0.1で対応

AngularJS

製品名対応特記事項
ActiveReportsJS
InputManJSv1.0~v3.1で対応。v3.2以降は非対応
SpreadJS 9J
SpreadJS(V10J~)v10~v14.2.6で対応。v15.0.5以降は非対応

Spread.Viewsは非対応
Wijmo 3
Wijmo 5
Wijmo Enterprise
v5.20143.24~v5.20213.834で対応。v5.20221.842以降は非対応
PDFビューワ
(DioDocs for PDF V4J以降に収録)

React

製品名対応特記事項
V16V17V18
ActiveReportsJS
※1

※2
※1 v2.0.1以降で対応
※2 v3.1.1以降で対応
InputManJS
※1

※2
※1 v3.0以降で対応
※2 v3.3以降で対応
SpreadJS 9J
SpreadJS(V10J~)
※1

※2

※3
※1 v11.2.4~v16.2.6で対応
※2 v14.0.6以降で対応
※3 v15.1.4以降で対応

Spread.Viewsは非対応
Wijmo 3
Wijmo 5
Wijmo Enterprise

※1

※2

※3
※1 v5.20162.207以降で対応
※2 v5.20203.748以降で対応
※3 v5.20222.877以降で対応(Strictモードはv5.20231.888以降で対応)
PDFビューワ
(DioDocs for PDF V4J以降に収録)

※1
PDFビューワのバージョンについては「バージョン対応表」をご覧ください。

※1 v3.2.2以降で対応

Vue.js

製品名対応
Vue.jsのサポートが終了したバージョンは特記事項に記載
特記事項
V2V3
ActiveReportsJS
※1
※1 v2.0.1以降で対応
InputManJS
※1
※1 v3.0以降で対応
SpreadJS 9J
SpreadJS(V10J~)
※1

※2
※1 v11.2.4~v16.2.6で対応
※2 v14.2.3以降で対応

Spread.Viewsは非対応
Wijmo 3
Wijmo 5
Wijmo Enterprise

※1

※2
※1 v5.20162.231~v5.20231.904で対応
※2 RC版にv5.20202.724以降で対応
正式版にv5.20203.748以降で対応

V1はv5.20162.207~v5.20183.568で対応
PDFビューワ
(DioDocs for PDF V4J以降に収録)
PDFビューワのバージョンについては「バージョン対応表」をご覧ください。

V1はv2.0.17~v4.0.1で対応

Svelte

製品名対応特記事項
V3V4
ActiveReportsJS
※1

※2
※1 v4.0.2以降で対応
※2 v4.2.1以降で対応
InputManJS
SpreadJS 9J
SpreadJS(V10J~)
Wijmo 3
Wijmo 5
Wijmo Enterprise
PDFビューワ
(DioDocs for PDF V4J以降に収録)

Next.js

製品名対応特記事項
V13V14
ActiveReportsJS
※1

※2
※1 v4.0.2以降で対応
※2 v4.2.1以降で対応
InputManJS
※1
※1 v4.0以降で対応
SpreadJS 9J
SpreadJS(V10J~)
※1

※2
※1 v16.0.4以降で対応
※2 v17.0.4以降で対応

Spread.Viewsは非対応
Wijmo 3
Wijmo 5
Wijmo Enterprise
PDFビューワ
(DioDocs for PDF V4J以降に収録)

Nuxt.js

製品名対応特記事項
V3
ActiveReportsJS
※1
※1 v4.0.2以降で対応
InputManJS
※1
※1 v4.0以降で対応
SpreadJS 9J
SpreadJS(V10J~)
※1
※1 v16.0.4以降で対応

Spread.Viewsは非対応
Wijmo 3
Wijmo 5
Wijmo Enterprise

PDFビューワ
(DioDocs for PDF V4J以降に収録)

Knockout

製品名対応特記事項
ActiveReportsJS
InputManJS
SpreadJS 9J
SpreadJS(V10J~)Spread.Viewsは非対応
Wijmo 3
Wijmo 5
Wijmo Enterprise
PDFビューワ
(DioDocs for PDF V4J以降に収録)